
_Delay2S:

;GLCD_Text.c,34 :: 		void Delay2S(){             // 2 seconds delay function
;GLCD_Text.c,35 :: 		Delay_ms(2000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_Delay2S0:
	DECFSZ     R13+0, 1
	GOTO       L_Delay2S0
	DECFSZ     R12+0, 1
	GOTO       L_Delay2S0
	DECFSZ     R11+0, 1
	GOTO       L_Delay2S0
	NOP
;GLCD_Text.c,36 :: 		}
L_end_Delay2S:
	RETURN
; end of _Delay2S

_main:

;GLCD_Text.c,38 :: 		void main() {
;GLCD_Text.c,39 :: 		ANSEL  = 0;                                      // Configure AN pins as digital
	CLRF       ANSEL+0
;GLCD_Text.c,40 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;GLCD_Text.c,41 :: 		C1ON_bit = 0;                                    // Disable comparators
	BCF        C1ON_bit+0, 7
;GLCD_Text.c,42 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, 7
;GLCD_Text.c,43 :: 		TRISD = 0x00;
	CLRF       TRISD+0
;GLCD_Text.c,44 :: 		TRISB = 0x00;
	CLRF       TRISB+0
;GLCD_Text.c,45 :: 		Glcd_Init();             // Initialize GLCD
	CALL       _Glcd_Init+0
;GLCD_Text.c,46 :: 		Glcd_Fill(0x00);         // Clear GLCD
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,48 :: 		do {
L_main1:
;GLCD_Text.c,49 :: 		Glcd_V_Line(0, 63, 64, 1);
	CLRF       FARG_Glcd_V_Line_y_start+0
	MOVLW      63
	MOVWF      FARG_Glcd_V_Line_y_end+0
	MOVLW      64
	MOVWF      FARG_Glcd_V_Line_x_pos+0
	MOVLW      1
	MOVWF      FARG_Glcd_V_Line_color+0
	CALL       _Glcd_V_Line+0
;GLCD_Text.c,50 :: 		Glcd_H_Line(0, 127, 32, 1);
	CLRF       FARG_Glcd_H_Line_x_start+0
	MOVLW      127
	MOVWF      FARG_Glcd_H_Line_x_end+0
	MOVLW      32
	MOVWF      FARG_Glcd_H_Line_y_pos+0
	MOVLW      1
	MOVWF      FARG_Glcd_H_Line_color+0
	CALL       _Glcd_H_Line+0
;GLCD_Text.c,51 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,52 :: 		Glcd_Rectangle(10,5,117,57,1);     // Draw rectangle
	MOVLW      10
	MOVWF      FARG_Glcd_Rectangle_x_upper_left+0
	MOVLW      5
	MOVWF      FARG_Glcd_Rectangle_y_upper_left+0
	MOVLW      117
	MOVWF      FARG_Glcd_Rectangle_x_bottom_right+0
	MOVLW      57
	MOVWF      FARG_Glcd_Rectangle_y_bottom_right+0
	MOVLW      1
	MOVWF      FARG_Glcd_Rectangle_color+0
	CALL       _Glcd_Rectangle+0
;GLCD_Text.c,53 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,54 :: 		Glcd_Circle(64,32, 15, 1);
	MOVLW      64
	MOVWF      FARG_Glcd_Circle_x_center+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_x_center+1
	MOVLW      32
	MOVWF      FARG_Glcd_Circle_y_center+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_y_center+1
	MOVLW      15
	MOVWF      FARG_Glcd_Circle_radius+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_radius+1
	MOVLW      1
	MOVWF      FARG_Glcd_Circle_color+0
	CALL       _Glcd_Circle+0
;GLCD_Text.c,55 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,56 :: 		Glcd_Fill(0xFF);                  // Fill Glcd
	MOVLW      255
	MOVWF      FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,57 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,58 :: 		Glcd_V_Line(0, 63, 64, 0);
	CLRF       FARG_Glcd_V_Line_y_start+0
	MOVLW      63
	MOVWF      FARG_Glcd_V_Line_y_end+0
	MOVLW      64
	MOVWF      FARG_Glcd_V_Line_x_pos+0
	CLRF       FARG_Glcd_V_Line_color+0
	CALL       _Glcd_V_Line+0
;GLCD_Text.c,59 :: 		Glcd_H_Line(0, 127, 32, 0);
	CLRF       FARG_Glcd_H_Line_x_start+0
	MOVLW      127
	MOVWF      FARG_Glcd_H_Line_x_end+0
	MOVLW      32
	MOVWF      FARG_Glcd_H_Line_y_pos+0
	CLRF       FARG_Glcd_H_Line_color+0
	CALL       _Glcd_H_Line+0
;GLCD_Text.c,60 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,61 :: 		Glcd_Rectangle(10,5,117,57,0);     // Draw rectangle
	MOVLW      10
	MOVWF      FARG_Glcd_Rectangle_x_upper_left+0
	MOVLW      5
	MOVWF      FARG_Glcd_Rectangle_y_upper_left+0
	MOVLW      117
	MOVWF      FARG_Glcd_Rectangle_x_bottom_right+0
	MOVLW      57
	MOVWF      FARG_Glcd_Rectangle_y_bottom_right+0
	CLRF       FARG_Glcd_Rectangle_color+0
	CALL       _Glcd_Rectangle+0
;GLCD_Text.c,62 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,63 :: 		Glcd_Circle(64,32, 15, 0);
	MOVLW      64
	MOVWF      FARG_Glcd_Circle_x_center+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_x_center+1
	MOVLW      32
	MOVWF      FARG_Glcd_Circle_y_center+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_y_center+1
	MOVLW      15
	MOVWF      FARG_Glcd_Circle_radius+0
	MOVLW      0
	MOVWF      FARG_Glcd_Circle_radius+1
	CLRF       FARG_Glcd_Circle_color+0
	CALL       _Glcd_Circle+0
;GLCD_Text.c,64 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,65 :: 		Glcd_Fill(0x00);                  // Fill Glcd
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,66 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,67 :: 		Glcd_Box(10,5,117,57,1);
	MOVLW      10
	MOVWF      FARG_Glcd_Box_x_upper_left+0
	MOVLW      5
	MOVWF      FARG_Glcd_Box_y_upper_left+0
	MOVLW      117
	MOVWF      FARG_Glcd_Box_x_bottom_right+0
	MOVLW      57
	MOVWF      FARG_Glcd_Box_y_bottom_right+0
	MOVLW      1
	MOVWF      FARG_Glcd_Box_color+0
	CALL       _Glcd_Box+0
;GLCD_Text.c,68 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,69 :: 		Glcd_Fill(0x00);                  // Fill Glcd
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,70 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,72 :: 		Glcd_Set_Font(Font_Glcd_5x7, 5, 7, 32);
	MOVLW      _Font_Glcd_5x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_5x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      5
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;GLCD_Text.c,73 :: 		Glcd_Write_Text("This is Page 0", 10, 0, 1);
	MOVLW      ?lstr1_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	CLRF       FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,74 :: 		Glcd_Write_Text("This is Page 1", 10, 1, 1);
	MOVLW      ?lstr2_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,75 :: 		Glcd_Write_Text("This is Page 2", 10, 2, 1);
	MOVLW      ?lstr3_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      2
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,76 :: 		Glcd_Write_Text("This is Page 3", 10, 3, 1);
	MOVLW      ?lstr4_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      3
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,77 :: 		Glcd_Write_Text("This is Page 4", 10, 4, 1);
	MOVLW      ?lstr5_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      4
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,78 :: 		Glcd_Write_Text("This is Page 5", 10, 5, 1);
	MOVLW      ?lstr6_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      5
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,79 :: 		Glcd_Write_Text("This is Page 6", 10, 6, 1);
	MOVLW      ?lstr7_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      6
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,80 :: 		Glcd_Write_Text("This is Page 7", 10, 7, 1);
	MOVLW      ?lstr8_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      10
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      7
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      1
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,81 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,82 :: 		Glcd_Fill(0x00);         // Clear GLCD
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,83 :: 		Glcd_Set_Font(Font_Glcd_Character8x7, 8, 7, 32);
	MOVLW      _Font_Glcd_Character8x7+0
	MOVWF      FARG_Glcd_Set_Font_activeFont+0
	MOVLW      hi_addr(_Font_Glcd_Character8x7+0)
	MOVWF      FARG_Glcd_Set_Font_activeFont+1
	MOVLW      8
	MOVWF      FARG_Glcd_Set_Font_aFontWidth+0
	MOVLW      7
	MOVWF      FARG_Glcd_Set_Font_aFontHeight+0
	MOVLW      32
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+0
	MOVLW      0
	MOVWF      FARG_Glcd_Set_Font_aFontOffs+1
	CALL       _Glcd_Set_Font+0
;GLCD_Text.c,84 :: 		Glcd_Write_Text("Embedded Lab", 8, 3, 2);   // Write string
	MOVLW      ?lstr9_GLCD_Text+0
	MOVWF      FARG_Glcd_Write_Text_text+0
	MOVLW      8
	MOVWF      FARG_Glcd_Write_Text_x_pos+0
	MOVLW      3
	MOVWF      FARG_Glcd_Write_Text_page_num+0
	MOVLW      2
	MOVWF      FARG_Glcd_Write_Text_color+0
	CALL       _Glcd_Write_Text+0
;GLCD_Text.c,85 :: 		Delay2s();
	CALL       _Delay2S+0
;GLCD_Text.c,86 :: 		Glcd_Fill(0x00);         // Clear GLCD
	CLRF       FARG_Glcd_Fill_pattern+0
	CALL       _Glcd_Fill+0
;GLCD_Text.c,87 :: 		} while(1);
	GOTO       L_main1
;GLCD_Text.c,88 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
